# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/

%global cpython_ver %(/usr/bin/python3 --version | cut -d" " -f2 | cut -d"." -f1,2 | tr -d ".")

Name:    python3-portio
Version: 0.5
Release: 1.ndias%{?dist}
Summary: Python low level port I/O for Linux x86

License: GPL
URL:     http://portio.inrim.it
Source0: https://files.pythonhosted.org/packages/6f/2c/ecd9ed70555b8dc08a1b24a448b13cb77ff2c19e39df25fe9d22816d192d/portio-%{version}.tar.gz

BuildRequires: make, python3, gcc, python3-devel

%description
PortIO is a Python wrapper for the port I/O macros like outb, inb, etc.
provided by the C library on Linux x86 platforms. Both python 2 and 3 are
supported. This module is useful when a general pourpose port I/O at the low
level is needed. Programmers that want to perform I/O on the parallel port at
an higher level, will be better satisfied by the pyParallel module. A similar
module Ioport has inspired the writing of PortIO.

%prep
%setup -q -n portio-%{version}


%build
python3 setup.py build

%install
python3 setup.py install -O1 --root=%{buildroot}

%files
%doc
%license

%{python3_sitearch}/portio-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/portio.cpython-%{cpython_ver}-%{_arch}-linux-gnu.so


%changelog
* Mon Jul 25 2022 Nuno Dias <Nuno.Dias@gmail.com> - 0.5-1.ndias
- Version 0.5
